Last Comment Bug 844599 - Implement Bug 842913 on comm-central (Rename winstripe->windows, pinstripe->osx, gnomestripe->linux)
: Implement Bug 842913 on comm-central (Rename winstripe->windows, pinstripe->o...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Thunderbird 22.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-24 05:31 PST by Richard Marti (:Paenglab)
Modified: 2013-03-26 09:21 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
rename it (274.53 KB, patch)
2013-03-03 07:03 PST, Richard Marti (:Paenglab)
mconley: review+
philipp: review+
Details | Diff | Review
patch for check-in (274.55 KB, patch)
2013-03-23 12:00 PDT, Richard Marti (:Paenglab)
richard.marti: review+
Details | Diff | Review

Description Richard Marti (:Paenglab) 2013-02-24 05:31:57 PST
I'm opening this bug to check, if we want follow m-c with renaming the themes directories. I've done a pre-check and this should be doable easily. This will affect /mail and /calendar. /suite uses classic and modern.

I think it makes sense to rename them to make it easier for contributors who comes from m-c to find the needed files. Until today we had already a difference in /mail where the Windows theme was named qute and I saw questions, where's the winstripe theme.

We should also wait until Bug 844597 is resolved to not change two times.
Comment 1 Andreas Nilsson (:andreasn) 2013-02-24 06:05:12 PST
This sounds sane. It's a small thing, but makes it a lot easier for first time contributors.
Comment 2 Mike Conley (:mconley) - (needinfo me!) 2013-02-25 06:56:11 PST
I concur.
Comment 3 Richard Marti (:Paenglab) 2013-03-03 07:03:52 PST
Created attachment 720410 [details] [diff] [review]
rename it

Now as Bug 844597 is wontfix, here's the patch.

I'm asking mconley for review the mail stuff (in suite it's only two changes in comments) and Philipp for the calendar changes.

Philipp, I changed also the theme names in Sunbird. Is this okay?

In pinstripe I deleted the two files find.png and viewButtons.png. They are no more used and packed to the wrong positions in omni.ja (global and mozapps directly below classic/skin/classic instead of toolkit/skin/classic).

I pushed the patch to Try to check if it works: https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=097d9ca175db
I checked only the builds as it had in tests no reference to the old theme names.
Comment 4 Philipp Kewisch [:Fallen] 2013-03-06 11:21:25 PST
Comment on attachment 720410 [details] [diff] [review]
rename it

Calendar part looks good, r=philipp
Comment 5 Mike Conley (:mconley) - (needinfo me!) 2013-03-23 11:35:10 PDT
Comment on attachment 720410 [details] [diff] [review]
rename it

Review of attachment 720410 [details] [diff] [review]:
-----------------------------------------------------------------

Sorry for the wait - hopefully, this hasn't bitrotted much / any. This looks OK to me - let's give this a shot and see what happens. :)
Comment 6 Richard Marti (:Paenglab) 2013-03-23 12:00:56 PDT
Created attachment 728651 [details] [diff] [review]
patch for check-in

Patch was already bitrotted in osx/mail/chat.css
Comment 7 Mark Banner (:standard8) 2013-03-26 09:21:51 PDT
I checked this in with a couple of extra hg moves to pick up on files just landed:

https://hg.mozilla.org/comm-central/rev/0c65c10dc3aa

Note You need to log in before you can comment on or make changes to this bug.